#!/bin/sh

r3_logger() {
  logger -t remoteit "$@"
}

r3_get_architecture() {
  arch
}

r3_get_name() {
  uname -n
}

r3_get_macaddr() {
  ip link show up | grep ether | head -n 1 | awk '{print $2}'
}

r3_get_model() {
  cat /sys/firmware/devicetree/base/model
}

r3_get_serial() {
  cat /sys/firmware/devicetree/base/serial-number
}

r3_get_identity() {
  r3_get_macaddr
}

r3_get_manufacturer() {
  echo 34304
}

r3_get_platform() {
  echo 1072
}

r3_get_metadata() {
  jq -n \
    --arg version "$VERSION" \
    --arg macAddress "$(r3_get_macaddr)" \
    --arg model "$(r3_get_model)" \
    --arg serialNum "$(r3_get_serial)" \
    '{$version, $macAddress, $model, $serialNum}'
}
