r3_add_schannel() {
  r3_logger "Installing remote.it control channel."

  if [ $(sudo systemctl is-active schannel) != 'active' ]; then
    r3_start_service schannel
  fi
}

r3_enable_instance() {
  sudo systemctl enable $1
}

r3_start_instance() {
  sudo systemctl start $1
}

r3_disable_instance() {
  sudo systemctl disable $1
}

r3_stop_instance() {
  sudo systemctl stop $1
}

r3_restart_services() {
  sudo systemctl reload-or-restart 'remoteit*.service' --all
}

r3_start_service() {
  r3_enable_instance $1
  r3_start_instance $1
}

r3_stop_service() {
  r3_disable_instance $1
  r3_stop_instance $1
}